itpp::Cross_Interleaver< T > Class Template Reference
Interleavers

Cross Interleaver Class. More...

`#include <comm/interleave.h>`

## Public Member Functions

| Cross_Interleaver (void)
| Cross_Interleaver constructor.
| Cross_Interleaver (int in_order)
| Cross_Interleaver constructor.
Vec< T > | interleave (const Vec< T > &input)
| Function for cross interleaving. Adds some zeros.
void | interleave (const Vec< T > &input, Vec< T > &output)
| Function for cross interleaving. Adds some zeros.
Vec< T > | deinterleave (const Vec< T > &input, short keepzeros=0)
| Function for cross deinterleaving. Removes aditional zeros if keepzeros = 0.
void | deinterleave (const Vec< T > &input, Vec< T > &output, short keepzeros=0)
| Function for cross deinterleaving. Removes aditional zeros if keepzeros = 0.
void | set_order (int in_order)
| Set the order of the Cross Interleaver.
int | get_order (void)
| Get the order of the Cross Interleaver.

## Detailed Description

### template<class T>
class itpp::Cross_Interleaver< T >

Cross Interleaver Class.

### Example of use:

BPSK bpsk;
bvec bits = "0 1 1 0 0 0 1 1 1 1 0 0 1 0 0 1";
vec symbols = bpsk.modulate_bits(bits);
Cross_Interleaver<double> cross_interleaver(4);
vec interleaved_symbols = cross_interleaver.interleave(symbols);

- See S. B. Wicker, "Error control systems for digital communications and storage," Prentice Hall 1995, p. 427 for details.

Definition at line 108 of file interleave.h.

The documentation for this class was generated from the following file:

- itpp/comm/interleave.h

Generated on Thu Mar 20 2014 12:26:46 for IT++ by Doxygen 1.8.6